Package org.eclipse.graphiti.ui.features

# Class AbstractCopyFeature

java.lang.Object
org.eclipse.graphiti.features.impl.AbstractFeature
org.eclipse.graphiti.ui.features.AbstractCopyFeature

All Implemented Interfaces:
  `ICopyFeature`, `IFeature`, `IFeatureProviderHolder`, `IDescription`, `IName`

public abstract class AbstractCopyFeature extends AbstractFeature implements ICopyFeature
The Class AbstractCopyFeature.

## Constructor Summary

Constructors
Constructor
Description
`AbstractCopyFeature(IFeatureProvider fp)`
Creates a new `AbstractCopyFeature`.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canExecute(IContext context)`
Decides if the current feature can execute with the given context.
`void`
`execute(IContext context)`
Executes the current feature with the given context.
`String`
`getName()`
Gets the name.
`protected void`
`putToClipboard(Object[] objects)`
Put to clipboard.

### Methods inherited from class org.eclipse.graphiti.features.impl.AbstractFeature

`addGraphicalRepresentation, canUndo, getAllBusinessObjectsForPictogramElement, getBusinessObjectForPictogramElement, getDescription, getDiagram, getDiagramBehavior, getFeatureProvider, getProgressCallback, getUserDecision, hasDoneChanges, isAvailable, layoutPictogramElement, link, link, manageColor, manageColor, manageDefaultFont, manageFont, manageFont, setProgressCallback, toString, updatePictogramElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.ICopyFeature

`canCopy, copy`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canUndo, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

## Constructor Details

### AbstractCopyFeature

public AbstractCopyFeature(IFeatureProvider fp)
Creates a new `AbstractCopyFeature`.

Parameters:
  `fp` - the `IFeatureProvider` fp

## Method Details

### canExecute

public boolean canExecute(IContext context)
Description copied from interface: `IFeature`
Decides if the current feature can execute with the given context.

Specified by:
  `canExecute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
Returns:
  true if the feature can be executed, false if not
See Also:
  - `IContext`

### execute

public void execute(IContext context)
Description copied from interface: `IFeature`
Executes the current feature with the given context.

Specified by:
  `execute` in interface `IFeature`
Parameters:
  `context` - this is the general input for this method
See Also:
  - `IContext`

### getName

public String getName()
Description copied from interface: `IName`
Gets the name.

Specified by:
  `getName` in interface `IName`
Overrides:
  `getName` in class `AbstractFeature`
Returns:
  the name

### putToClipboard

protected void putToClipboard(Object[] objects)
Put to clipboard.

Parameters:
  `objects` - the objects